AlertEvents
List alert events
List alert_events
GET
/
v1
/
alerts
/
{alert_id}
/
events
List alert events
curl --request GET \
--url https://api.rootly.com/v1/alerts/{alert_id}/events \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "alert_events",
"attributes": {
"alert_id": "<string>",
"source": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"user_id": 123,
"details": "<string>",
"user": {
"id": 123,
"name": "<string>",
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"preferred_name": "<string>",
"full_name": "<string>",
"time_zone": "<string>"
},
"incident": {
"id": "<string>",
"sequential_id": 123,
"title": "<string>",
"slug": "<string>",
"kind": "<string>",
"status": "<string>",
"private": true,
"description": "<string>",
"started_at": "<string>",
"duration": 123,
"url": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"schedule": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"escalation_policies": [
{
"id": "<string>",
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
},
"escalation_level": 123,
"escalation_target_type": "<string>",
"escalation_target": {
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {}
}
},
"slack_channel": {
"id": "<string>",
"slack_channel_name": "<string>",
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"incident_ids": [
"<string>"
]
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123,
"next_cursor": "<string>"
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Was this page helpful?
⌘I
List alert events
curl --request GET \
--url https://api.rootly.com/v1/alerts/{alert_id}/events \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "alert_events",
"attributes": {
"alert_id": "<string>",
"source": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"user_id": 123,
"details": "<string>",
"user": {
"id": 123,
"name": "<string>",
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"preferred_name": "<string>",
"full_name": "<string>",
"time_zone": "<string>"
},
"incident": {
"id": "<string>",
"sequential_id": 123,
"title": "<string>",
"slug": "<string>",
"kind": "<string>",
"status": "<string>",
"private": true,
"description": "<string>",
"started_at": "<string>",
"duration": 123,
"url": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"schedule": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"escalation_policies": [
{
"id": "<string>",
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
},
"escalation_level": 123,
"escalation_target_type": "<string>",
"escalation_target": {
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {}
}
},
"slack_channel": {
"id": "<string>",
"slack_channel_name": "<string>",
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"incident_ids": [
"<string>"
]
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123,
"next_cursor": "<string>"
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}